Subject: Re: bug#53203: Comment with lots of color codes crashes or hangs emacs in scss-mode

From: Simen Heggestøyl <[email-masked]>
Date: Sun, 15 May 2022 12:45:11 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> But how about just trying to make it stricter?  That is, just allow any
>> number of selectors, with the separators between.  The following seems
>> to work fine in the test cases.
>
> I've now done something like this in Emacs 29, and added a bunch of tests.

Hm, I can't seem to find it, did you push it yet?

I tested a bit with the patch you posted 15:30 yesterday, but it seems
to have some problems:

Pasting this into a CSS mode buffer now freezes up Emacs:

  /*
   * xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
   */

Selectors with hyphens are no longer highlighted, e.g.:

  .foo-bar {

Only the last part of multi line selectors are now highlighted,
e.g. only `body` here:

  div,
  body {